openmemory
Docs
Actions

List actions, newest first (default: open ones)

GET
/v1/actions

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Query Parameters

status?string

Comma-separated statuses. Default: pending,approved,executing.

Lengthlength <= 200
limit?integer
Range1 <= value <= 100
Default50

Response Body

Actions

application/json
  1. response
actions*array<>
Example Request
curl -X GET 'https://api.openmemory.sh/v1/actions'
Example Response
{  "actions": [    {      "id": "string",      "class": "string",      "summary": "string",      "payload": {        "property1": null,        "property2": null      },      "payload_hash": "string",      "preconditions": [        null      ],      "meta": {        "property1": null,        "property2": null      },      "idempotency_key": "string",      "status": "pending",      "receipt": {        "property1": null,        "property2": null      },      "expires_at": "string",      "created_at": "string",      "updated_at": "string"    }  ]}